Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.service
Class RangeSliceResponseResolver

    java.lang.Object
      org.apache.cassandra.service.RangeSliceResponseResolver

All Implemented Interfaces:
  IResponseResolver<java.util.List<Row>>

    public class RangeSliceResponseResolver

extends java.lang.Object
implements IResponseResolver<java.util.List<Row>>

Turns RangeSliceReply objects into row (string -> CF) maps, resolving to the most recent ColumnFamily and setting up read repairs as necessary.

Constructor Summary
`RangeSliceResponseResolver(java.lang.String table, java.util.List<java.net.InetAddress> sources, IPartitioner partitioner)`

Method Summary
`boolean` | `isDataPresent(java.util.Collection<Message> responses)`
`void` | `preprocess(Message message)`
`java.util.List<Row>` | `resolve(java.util.Collection<Message> responses)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RangeSliceResponseResolver

    public RangeSliceResponseResolver(java.lang.String table,
                                      java.util.List<java.net.InetAddress> sources,
                                      IPartitioner partitioner)

Method Detail

### resolve

    public java.util.List<Row> resolve(java.util.Collection<Message> responses)
                                throws DigestMismatchException,
                                       java.io.IOException

  Specified by:
    `resolve` in interface `IResponseResolver<java.util.List<Row>>`
  Throws:
    `DigestMismatchException`
    `java.io.IOException`

### preprocess

    public void preprocess(Message message)

  Specified by:
    `preprocess` in interface `IResponseResolver<java.util.List<Row>>`

### isDataPresent

    public boolean isDataPresent(java.util.Collection<Message> responses)

  Specified by:
    `isDataPresent` in interface `IResponseResolver<java.util.List<Row>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation